Debian Bug report logs - #591091
deprecated

version graph

Package: libdigest-sha1-perl; Maintainer for libdigest-sha1-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Joey Hess <joeyh@debian.org>

Date: Sat, 31 Jul 2010 20:03:01 UTC

Severity: wishlist

Found in version libdigest-sha1-perl/2.13-1

Fixed in version libdigest-sha1-perl/2.13-2

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591091; Package libdigest-sha1-perl. (Sat, 31 Jul 2010 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 31 Jul 2010 20:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: deprecated
Date: Sat, 31 Jul 2010 16:02:04 -0400
[Message part 1 (text/plain, inline)]
Package: libdigest-sha1-perl
Version: 2.13-1
Severity: wishlist

This is apparently deprecated, since perl has Digest::SHA built-in
with a similar interface, as well as larger shasum variants.

        use Digest::SHA1  qw(sha1 sha1_hex sha1_base64);

        use Digest::SHA qw(sha1 sha1_hex sha1_base64 ...);

I think the package description should mention that, at least, to
prevent more rdepends accidentially being added.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libdigest-sha1-perl depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  perl                          5.10.1-13  Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.1]    5.10.1-13  minimal Perl system

libdigest-sha1-perl recommends no packages.

libdigest-sha1-perl suggests no packages.

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591091; Package libdigest-sha1-perl. (Sat, 02 Jul 2011 11:06:03 GMT) Full text and rfc822 format available.

Message #8 received at 591091@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 591091@bugs.debian.org, 591091-submitter@bugs.debian.org
Subject: Bug in libdigest-sha1-perl fixed in revision 76945
Date: Sat, 02 Jul 2011 11:03:46 +0000
tag 591091 + pending
thanks

Some bugs are closed in revision 76945
by Salvatore Bonaccorso (carnil)

Commit message:

* Team upload.
* Ansgar Burchardt -> ansgar@debian.org
* debian/control: Mention that the package is considered deprecated
  (Closes: #591091).




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 02 Jul 2011 11:06:06 GMT) Full text and rfc822 format available.

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#591091. (Sat, 02 Jul 2011 11:06:15 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 02 Jul 2011 11:48:33 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Sat, 02 Jul 2011 11:48:40 GMT) Full text and rfc822 format available.

Message #18 received at 591091-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 591091-close@bugs.debian.org
Subject: Bug#591091: fixed in libdigest-sha1-perl 2.13-2
Date: Sat, 02 Jul 2011 11:47:44 +0000
Source: libdigest-sha1-perl
Source-Version: 2.13-2

We believe that the bug you reported is fixed in the latest version of
libdigest-sha1-perl, which is due to be installed in the Debian FTP archive:

libdigest-sha1-perl_2.13-2.debian.tar.gz
  to main/libd/libdigest-sha1-perl/libdigest-sha1-perl_2.13-2.debian.tar.gz
libdigest-sha1-perl_2.13-2.dsc
  to main/libd/libdigest-sha1-perl/libdigest-sha1-perl_2.13-2.dsc
libdigest-sha1-perl_2.13-2_amd64.deb
  to main/libd/libdigest-sha1-perl/libdigest-sha1-perl_2.13-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated libdigest-sha1-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 02 Jul 2011 13:27:45 +0200
Source: libdigest-sha1-perl
Binary: libdigest-sha1-perl
Architecture: source amd64
Version: 2.13-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 libdigest-sha1-perl - NIST SHA-1 message digest algorithm
Closes: 591091
Changes: 
 libdigest-sha1-perl (2.13-2) unstable; urgency=low
 .
   * Team upload.
 .
   [ Ansgar Burchardt ]
   * Ansgar Burchardt -> ansgar@debian.org
 .
   [ Salvatore Bonaccorso ]
   * debian/control: Mention that the package is considered deprecated
     (Closes: #591091).
   * debian/copyright:
     - Refer to Debian systems in general instead of only Debian
       GNU/Linux systems.
     - Explicitly point to GPL-1 license text in common-licenses.
   * Bump Standards-Version to 3.9.2.
Checksums-Sha1: 
 c30873e254422192d4b4a2da6f53841c59ace0cb 2033 libdigest-sha1-perl_2.13-2.dsc
 e19744ed48d222a2773001a6ac932ea184a8c57d 2918 libdigest-sha1-perl_2.13-2.debian.tar.gz
 5b51d90a50d8a1ba586fbbb0c354cc791e07130a 27036 libdigest-sha1-perl_2.13-2_amd64.deb
Checksums-Sha256: 
 66fa9697a8d20260a6f67b855f982e318a53a7b2b7fbc8b5a76fca2472edb0e0 2033 libdigest-sha1-perl_2.13-2.dsc
 f4762554de9c4416ac9ca7a62812c88cf1e56df47f848d99e97c567dde7a75c0 2918 libdigest-sha1-perl_2.13-2.debian.tar.gz
 f971bf9a8c29408dd1db8a5b40417534bdde919bf6c63824ca3079a58e5b59d9 27036 libdigest-sha1-perl_2.13-2_amd64.deb
Files: 
 cf39e675282f99b70ecde5dbab875dad 2033 perl optional libdigest-sha1-perl_2.13-2.dsc
 ff4b5c741c47e9542da7d220a462fb4a 2918 perl optional libdigest-sha1-perl_2.13-2.debian.tar.gz
 6ac9dd0ff58356c9e8cd69ce539802d6 27036 perl optional libdigest-sha1-perl_2.13-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJODwDsAAoJEHidbwV/2GP+LEIP/1ugm3WYbSBbVDvwqDU+GGtd
6LDS7EfyoJun8IYMnVyg5m2hyLwDi9Zavdn8UESN2JFNTt27m5dNKNmme/LhekRA
b1YUXdB2ejdZYbJ7DzVq8H1SM1vDFa7fJb6ano6DkpmmXxPZ2DxvfXPT8Yl7Cs2t
NUDjIHAgIT006LviHOl5goIFPCYAD+LX+pmNQA5XOhmtPKDeLEXCf/XKGMzI6nEe
jwV4i6ZgUhMQkIrE2dFeIwQIlgZY2GBHX9/8XfDOetiOfWkQcq0dkQyMKwBJLPkW
ZSPUiPDOc2L2h+5UMzhSDm0Mo/AJ3CBklv3XB1IvjycZdr/cSIQA4pqvtLpWtAS+
nuj2cjZahGKZAs7L5lDxXpVzngNgImN+BcfAmjsUOWEPukRcSoyCca0br3MBKaxk
unR+7bVFjnHZvPLJPJBoof6Fp43DFLxQYXJa9p0qsfk8cQdYaxNyVEycnzyQ66S4
yIrDpIIKGT/G3jAf1cNjdNbp0FaNcsjHPbF3Rr5k+pd2COD5rCdS0HEGlKw1jOy8
2sJqdJIdRRmNGu8POY5+QWioD7+0Fillh/sF+h/1w5drKDyuv+5juVFPcpk83iLl
U2z0Lz1X/u5+23h+x/IYWsGYX3Jbn7jngmscgdX+fPgnmcX6kQxKhyWFptGc/blp
9g6028dmchXjVNqh2B/i
=YcuT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Aug 2011 07:39:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:13:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.